Fotoxx change log
=================

2012.01.04  v.12.01.2
+ Italian user guide was updated.
+ Swedish translation was updated.

2012.01.04  v.12.01.1
+ Bugfix: zoom causes infinite loop after new installation. 

2012.01.01  v.12.01
+ New function Search Metadata: search and report image metadata 
  (EXIF/IPTC/etc.), using a combined image and text display format.
+ Synchronize Files is 2x faster for an initial installation or after 
  importing a large number of new photos (>1000/min. on a fast PC).
+ "my mouse" was removed from all edit and selection dialogs. The mouse 
  belongs to the last widget clicked. The main window can be zoomed and 
  scrolled during such dialogs by using CTRL + mouse click or drag.
+ Mouse wheel can do zoom-in and zoom-out. 
+ Zooming an image re-centers it on the mouse position, and the mouse
  position follows the zoom center to the middle of the window.
+ Zoom ratio configurable: choose 1-4 zooms for each 2x increase in size.
+ DRGB (print color adjust) can save corrections to a file for re-use.
+ Some user settings in various menus were collected together in the 
  new menu function Tools > User Settings.
+ Bugfix: Search Image was finding false matches for images with very 
  large caption or comments.
+ Bugfix: cannot escape file open dialog if open previous or open recent
  is attempted when there are no previous files (initial installation).
+ Bugfix: interactive GUI translation function failed to initialize.

2011.12.03  v.11.12.2
+ Italian translation was updated.
+ Locale of lc_RC will prefer a .po file named "lc_RC", fallback to "lc".

2011.12.02  v.11.12.1
+ Bugfix: crash at startup - top image directory not correctly
  initialized from previous fotoxx installation.

2011.12.01  v.11.12
+ New function Auto-Trim: automatically trim unused edge areas left over
  from panorama, HDR, HDF, stack, warp and unbend functions.
+ New function: Find bright or dark "stuck" pixels (camera sensor defect)
  (1x1/2x2/3x3 blocks) and fix them by interpolating neighboring pixels.
  Pixel locations can be saved and applied later to other images.
+ Select Area was extended to both select and unselect by matching colors,
  and the pixel search range was made adjustable 1-20x mouse radius.
+ Batch Resize/Export function now supports output of JPEG, PNG, TIFF.
  This can be used to select and convert files to a different format.
+ Convert RAW Files now supports output of JPEG, PNG, TIFF-8, TIFF-16.
+ Warp Area algorithm was made a bit more intuitive and controllable.
+ GUI language translation procedure was simplified.
+ Bugfix: restored some lost translations of dialog buttons.
+ Bugfix: Trim dialog mouse ownership was sometimes misleading. 
+ Bugfix: WarpArea did not reset itself if selected area was changed.
+ Bugfix: crash if parallel instances of fotoxx are simultaneously 
  editing images and using undo/redo. 

2011.11.05  v.11.11.1
Fix problems in v.11.11 released a few days ago:
+ Bugfix: crash in vertical panorama.
+ Bugfix: crash in Open Recent File if trashed image is attempted.
+ Restore lost BUSY indicator for functions needing significant time.

2011.11.01  v.11.11
+ Creating and editing collections was made easier and more intuitive.
+ Synchronize Files always works incrementally and runs automatically at 
  startup. Image navigation/viewing is immediately possible but editing 
  is blocked until the synchronize is finished (normally a few seconds).
+ Straighten Image: fix less than optimal results for images needing
  a large correction. Menu was renamed to Keystone Correction.
+ New menu: Help > User Guide Changes: summary of changes in the user
  guide for recent releases (minimize effort to keep up with changes).
+ New menu: Help > Edit Functions Summary: a one-page "quick reference"
  summary of all the image editing functions.
+ New topic added to the user guide: How to organize a large image 
  collection to minimize effort and to optimize image searching.
+ The status bar now shows if a dialog is waiting for input 
  (and possibly hidden under another window).
+ New keyboard shortcut: N = Rename Image File.
+ Transform and Retouch menus were rearranged to follow typical workflow.
+ Rotate and warp dialogs have convenience buttons to grid line setup.
+ Grid setup: the x and y grids can be moved around over the image.
+ New utility: update collections if the top image directory is moved.
+ The package build method was updated to improve Debian packaging and
  include dependencies on non-library programs. The RPM packages do 
  not include this because the package names are not compatible. 

2011.10.01  v.11.10
+ New function: classic gamma curve edit for brightness and individual
  RGB colors. Applicable to the whole image or a selected object/area.
+ Printing was revised to work better with recent changes in HPLIP that 
  made printing on small paper sizes more difficult. The paper size must 
  be specified in the Printer Properties dialog (printer admin function) 
  and not in the application program - otherwise the print fails with a
  "paper mismatch" error. This changed between Ubuntu 10.10 and 11.04.
+ New function: convert "tetragon" image into a rectangle. Useful for
  gallery paintings photographed from the side to avoid reflections, 
  buildings photographed at an angle, etc. 
+ At startup, check for new files, advise if synchronization is needed.
+ New option: warn if overwriting original (non-versioned) image file. 
+ Slide Show: stop strange behavior when multiple monitors are used.
+ Slide Show: option to show only the most recent version of each image.
+ Slide Show: use spacebar to pause and resume slide show.
+ Pixel Edit: transparency adjustment steps were made finer.
+ Code cleanup for new compiler warnings from GCC 4.6 (Ubuntu 11.10).

2011.09.26  v.11.09.1
+ Bufgix: crash in Slide Show if the last transition type (jaws) is 
  not included in the user preferences.

2011.09.01  v.11.09
+ Print Image File now has margin inputs and tiny margins also work.
+ The Portuguese translation was brought up to date.
+ Minor source code changes were made for better BSD compatibility.
+ Show RGB: labels on monitored image points were made optional.
+ Gallery: larger font for file names is used when thumbnails are large.
+ Edit Captions and Edit User Comments were combined into one function.
+ File Open will discard a preceding search result or named collection,
  and the user is notified and may proceed or cancel.
+ File > Open (menu and toolbar) can now be used to open a single RAW 
  file (as tiff-16). A batch conversion function is also available.
+ CPU load monitor on status bar now includes spawned subprocesses.
+ Smart Erase: improved algorithm gives better results in some cases.
+ Panorama: image overlap requirement was relaxed.
+ Bugfix: Flatten: fix uneven conversion of pixels with max. brightness.
+ Bugfix: crash if Tools > Add Menu is started and then canceled.
+ Bugfix: minor memory leak.

2011.08.01  v.11.08
+ An Italian user guide has been added.
+ New function DRGB: change brightness and color balance using OD units.
+ Revise_RGB: added delta mode (show +/- changes from original image).
+ Show RGB: added EV and OD units, delta mode, and pixel labels on image.
+ Slide Show: two image transitions were added, "radar" and "jaws".
+ Slide Show: preferred transition modes can be selected and remembered.
+ Delete Area was renamed to Unselect Area (to reduce ambiguity).
+ F1 help topic is now determined by the last dialog opened OR USED.
+ Bugfix: disable a select-area if Undo/Redo changes the image size. 
+ Bugfix: Create Blank Image got leftover EXIF data from a prior image.
+ Bugfix: buffer overflow crash in Russian locale. Several other risky 
  places from long translation strings were identified and fixed.
+ Bug workaround: crash from GCC 4.5 optimization removing necessary 
  code. Do-nothing variable references were added to prevent this. 
+ Annoyance fix: rapid repetition of prev/next buttons or arrow keys 
  was sometimes causing a "function still active" popup message. 
+ Current bug: On Ubuntu 11.04 Fotoxx refuses to print with small paper
  formats (A5, A6). Ubuntu 10.10 works OK. I cannot fix this.

2011.07.01  v.11.07
+ The main retouch functions can now be used in parallel 
  (i.e. multiple edit dialogs can be active at the same time).
+ The last position of the main window and most dialog windows is saved 
  and restored within a session and across sessions.
+ New function Match Colors: take a spot color sample from two images.
  The colors of the 2nd image are changed to match the first.
+ New function Revise RGB: select up to 9 control pixels on an image and 
  adjust their RGB values. All image pixels are adjusted to match, using 
  weights based on distances from the control pixels. Use this function 
  to make complex color adjustments that vary across the image. 
+ Brightness Ramp was revised to handle RGB colors. This is an alternative 
  method to remove a color caste that varies across an image or image area.
+ Tools > Show RGB: EV and OD units are output in addition to RGB values. 
  Up to five points are shown, updated live as the image is edited.
+ The Brightness/Color curves now have a range of +/-2 EV (F-stops) and 
  the step-adjust buttons ([+++] etc.) are calibrated in 0.1 EV steps.
  Steps 1/3 this size can also be used. Use this function in conjunction 
  with Show RGB to make calibrated color adjustments.
+ Numeric feedback was added to the sliders in retouch edit functions.
+ Missing gallery thumbnails are generated 2-3x faster (on multi-core 
  processors) using multiple threads working ahead of need (usually).
+ Clone (new window) now has two variants: share desktop 50/50 or open 
  a new window of the same size, slightly offset for visibility. 
+ Open File now has two variants: use the same window or open a new 
  window in a parallel instance of Fotoxx.
+ New toolbar button: save file as a new version (immediate, no dialog).
  The current image and its edit history remain unchanged.
+ Save-As menu and toolbar: new checkbox option to switch the current
  file to the saved file. The edit trail (undo/redo) is also retained.
+ New command line parameters: 
    -prev     open the last file viewed in the previous session.
    -recent   start with a gallery of recent files (most recent at top).
  (-prev used to be default but this is no longer the case).
+ If the [undo] or [redo] button is pressed with the shift-key, they 
  become "undo all" and "redo all". This makes it easier to compare
  an image having multiple edits with the original image.
+ Select Area [Unfinish] button: put a finished area back in edit mode. 
+ Pixel Edit was moved from the Art menu to the Retouch menu.
+ Hourglass cursor was replaced with a BUSY sign at bottom of the window.
+ Toolbar help is a topic help like F1. Menu help opens the user guide.
+ Bugfix: warp functions were infrequently putting artifacts in the image.
+ Bugfix: Edit Collection could crash if adds and deletes were mixed.
+ Bugfix: Select Area Edge Calculation: if killed by user, the area was
  left in a half finished condition.

2011.06.13  v.11.06.2
  Bugfix: Ubuntu 11.04 32-bit: libtiff.so was moved to a really different
  location: /usr/lib/i386-linux-gnu/libtiff.so. This caused a misleading 
  diagnostic when building from source, so the check and diagnostic was 
  simply eliminated. The packages are not affected.

2011.06.09  v.11.06.1
  Bugfix: A hole was closed that could cause a crash if a select area is
  deleted while an edit function is open and active.

2011.06.01  v.11.06
+ Smart Erase and Remove Dust were made slightly more effective.
+ Brightness/Color retouching and Tone Mapping were made 25-40% faster.
+ Retouching brightness/color by "painting" with the mouse (dodge and
  burn) was made much faster (instant response on a fast computer). 
+ If at startup the previous image file is no longer present then a 
  gallery of the 100 most recent files viewed is shown.
+ New function: Tools > Toolbar Style: set to text, icons, or both.
+ New function: Tools > Edit Translation: edit translations interactively 
  as Fotoxx is being used, and the changes are immediately effective.
+ Several other small usability improvements were made.
+ Minor bugfix: paste area edge blending lost 1 pixel around the edge.

2011.05.15  v.11.05.2
+ Fix an error in the .desktop file causing the desktop menu not to work
  (the command "fotoxx" in a terminal or launcher still works OK). 

2011.05.02  v.11.05.1
+ The new version of alien replaces text files /usr/share/doc/appname/*
  with compressed (.gz) versions, making the menus Help > README etc. 
  to fail. Program now accepts either normal or compressed files.
+ Context help (F1) for Remove Dust was not working. 

2011.05.01  v.11.05
+ New function Erase Dust: erase dust spots on images from scanned slides.
+ Named image collections were made easier to create and revise. Images 
  can be added, removed and rearranged using a thumbnail gallery.
+ The trim (crop) function better handles zoom and scroll. The desired
  image size can be input directly, in addition to the mouse drag method.
+ Smart Erase was made faster (noticeable on slow processors).
+ Create Blank Image: simplify UI and create new file automatically.
+ Minor UI improvement: inform user if the current search results or 
  named collection must be abandoned to open a non-member image file.
+ Select Area: edge distance calculation for hairy edges is >2x faster.
+ Image tags with embedded blanks are allowed.
+ Bugfix: Smart Erase was sometimes missing a few pixels.
+ The supplied .deb and .rpm packages are now built using Ubuntu 10.04
  instead of Ubuntu 8.10. These packages (using newer libraries) may 
  not be installable on less current Linux releases. 

2011.04.01  v.11.04
+ Vertical panorama was implemented (previously possible but clumsy).
+ Slide Show can optionally play a music file or play list.
+ A pre-planned slide show can be started from the command line.
+ Initialization for new installs was simplified and the user warning was
  strengthened (need fewer frustrated users who don't read user guides).
+ Smart Erase was made easier by combining the select and erase functions.
+ Select ellipse: keep the ellipse centered at the drag origin.
+ Select by color: the search range for matching pixels was limited to
  3x the mouse radius. This works better, allowing edges with varying
  color to be more easily followed and selected. The remaining interior
  areas can be selected with an extra click in the finish dialog.
+ Paste Area was made easier to use by automating the finish step.
+ Unbend was extended to fix more types of perspective problems.
+ Toolbar buttons were rearranged to reduce the risk of accidentally
  overwriting the original image.
+ The total image file limit of 100,000 was removed. The practical limit
  depends on how much main memory is available for the image search index. 
  1 GB is enough for >1 million files, and only needed when searching.
+ Bugfix: possible crash in slide show with "ellipse" transitions.
+ Bugfix: HDF: first manual tweak caused an annoying random jump.
+ Bugfix: crash if initial warning message ignored and then open a file.

2011.03.13  v.11.03.1
+ Bugfix: possible crash if area select along bottom edge of image.
+ Bugfix: possible crash following a revision of lens parameters.
+ Bugfix: select area: edge of image can also be edge of area.

2011.03.01  v.11.03
+ Composite functions Pano, HDR, HDF and Stack run 2-3 times faster.
+ Printing: intermediate file was changed from .jpeg to .tiff to correct
  slight blurring of some color edges in high-resolution images.
+ New art function: create color outline drawings.
+ New function: adjust monitor gamma with live feedback.
+ Plugins: add external image editors to Fotoxx menu: Fotoxx edits may 
  precede and follow, [undo] / [redo] buttons work, etc.
+ Smart Erase: can use a tighter area around the object to be erased.
+ Panorama: the math was simplified to a pure cylindrical projection.
+ Select Area: added select for rectangular and elliptical areas.
+ Notify user of delay for thumbnail creation when new images are found.
+ New slide show transition: ellipse expanding from the center.
+ Select Area: brighter outlines for freehand draw and follow edge.
+ Unbend: panorama curve is more accurately flattened.
+ bugfix: crash reading 4-channel tiff file in strip format.
+ bugfix: panorama crash if image overlap reaches zero during alignment.
+ bugfix: crash if trying to save to a .gif file (converts to .jpg).
+ bugfix: fixed small memory leak in metadata viewer.

2011.02.01  v.11.02
+ Retouch functions can be incrementally "painted" with the mouse, with
  variable radius and strength.
+ Area cut and paste: edge effects are more effectively suppressed and
  the pasted area/object can be rotated as well as resized.
+ Curve edit (used in image retouch functions): curve data can be saved 
  to a file or loaded from a file as part of the curve edit dialog.
+ New function: Smart Erase: erase power lines and other small defects
  by replacing them with pixels from the neighborhood.
+ New functions: Make Image Collection and Open Image Collection. Images
  may be assigned to named collections. A collection can be recalled and 
  used for a slide-show, export, etc. 
+ New function: Combine photos of the same subject taken at different 
  moments, remove tourists, cars, etc. that come and go.
+ Panorama pre-align was made a little easier (check the user guide).
+ Tag Edit and Tag Management were separated to simplify operation.
+ New 1-time function: Tools > Fix Tag Delimiters: make tags (keywords) 
  compatible with Photoshop. Other photo managers may not be compatible.
  This is optional and can be done at any time without affecting Fotoxx. 
+ Art > Dots: dot rows are offset by 1/2 dot pitch, which looks better.
+ Expand Brightness Range: use sliders and show brightness histogram.
+ 1-time function to rebuild thumbnails now has a fast incremental mode.
+ Obsolete functions removed: convert old tag and parameter formats.
  (if you have startup problems, delete /home/<user>/.fotoxx).
+ Bugfix: Edit Info function could not be canceled before using it.
+ Bugfix: Edit Info (metadata) limit raised from 100 to 1000 characters.
+ Bugfix: Stop meaningless EXIF diagnostic when a blank image is created.
+ Bugfix: Annotate crash if font set to tiny and then increased.
+ tags_index file was renamed to search_index

2011.01.07  v.11.01.2
+ Bugfix: select whole image was not working. What went wrong between
  testing and release is a mystery, but now it is fixed.

2011.01.06  v.11.01.1
+ Revise startup warnings about thumbnails and tag index file to make
  them less intrusive and perhaps easier to understand.
+ French translation was updated.

2011.01.01  v.11.01
+ Select Area: Select the whole image and use overall brightness or a 
  single RGB color brightness to control the application of a retouch 
  function. This allows tone mapping, noise reduction, etc. to apply
  in darker image areas but not brighter areas (or the inverse).
+ New art function: make a dot matrix image (à la Roy Lichtenstein).
+ Slide Show was given a few dubiously useful but cute image transition 
  modes (fade-out/fade-in and various kinetic image replacement methods).
+ Open Recent File: the 100 most recent image files are presented in a 
  gallery window to make it easier to go back to a desired image.
+ If grid lines are active when an image is printed, the grid lines will
  also appear on the printed image.
+ The status bar shows if a select-area is active or a function is busy.
+ A new blank image can be created and used as a basis for mashups
  using cutouts from other images plus annotation text.
+ After a first-time install, the user is now advised to run the 1-time
  indexing program so that image searches will function correctly.
+ Batch add and delete tags have a popup window to monitor progress.
+ Search Images output (gallery window) is sorted to follow the physical 
  organization of the underlying files. Groupings and sequences implied 
  by the file organization (directories and file names) are preserved 
  in the generated window of thumbnail images. This was always a claimed
  fotoxx capability, but was not always working as advertised. 
+ Bugfix: image was sometimes not being resized to fit window after a
  size change (trim, resize), possibly giving a false impression.
+ Bugfix: inverting a select area did not work with some edit functions.


